Debian Bug report logs - #353521
RM: ean13 -- RoQA; last maintainer upload in 2000, superseded by other packages

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>

Date: Fri, 16 Sep 2005 09:33:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jim Westveer <jwest@netnw.com>:
Bug#328586; Package ean13. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
New Bug report received and forwarded. Copy sent to Jim Westveer <jwest@netnw.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: submit@bugs.debian.org
Subject: very old package, should this be removed?
Date: Fri, 16 Sep 2005 11:19:24 +0200
Package: ean13
Version: 0.4-8.1
Severity: serious

Hi,

During the Debian QA meeting hold during Sept. 09th till 11th, we
decided that looking at packages that haven't been uploaded for a very
long time could cover up some QA problems.

I've done this now and your package showed up on the list. I propose
to remove it.
It has almost no users and the same functionality is provided by GNU
barcode.

This usually means that your package matched some of the following
criteria:

 [1] Your packages has not had a maintainer upload for more than
     three years.

 [2] has one or more RC bugs with no answer from the maintainer (**)

 [3] the state of your packages in general seems to indicate that you
     might be MIA 

 [4] (if we propose a removal) it shows in popcon as having less than
     100 users with the package installed.

 [5] the package was not released with sarge

and at least ([1] and ( [2] or [3] or [4] or [5] )) was true.

(**) The maintainer not answering to RC bugs refers to bugs filed
more than one month before the time the check was performed.

After 7 days without answer from you (the maintainer) we will reassign
this bug to either WNPP (in case we propose to orphan it) or
ftp.debian.org (in case we propose to remove it).

The package will need an upload or an explanation for this action not to
proceed.

Please do *not* upload a package just to get off this list - it won't
help the package at all. Maintainers should be responsive and feel
responsible for their packages without needing other people to force
them to do work. Sometimes, finding a new maintainer or even removing
the package completly from the archive is better for Debian's users. 

Thanks!

Marc




Information forwarded to debian-bugs-dist@lists.debian.org, Jim Westveer <jwest@netnw.com>:
Bug#328586; Package ean13. Full text and rfc822 format available.

Acknowledgement sent to Jim Westveer <jwest@debian.org>:
Extra info received and forwarded to list. Copy sent to Jim Westveer <jwest@netnw.com>. Full text and rfc822 format available.

Message #10 received at 328586@bugs.debian.org (full text, mbox):

From: Jim Westveer <jwest@debian.org>
To: "Marc 'HE' Brockschmidt" <marc@marcbrockschmidt.de>, 328586@bugs.debian.org
Subject: Re: Bug#328586: very old package, should this be removed?
Date: Fri, 16 Sep 2005 07:46:11 -0700
Thanks for your note.

In response to :

1)  Yep I need to do a upload to clear some minor bugs. This will be done.
2)  Not true.  The only serious bug is this one.
3)  Not true.  I am very much alive.
4)  This is the only EAN13 barcode package in debian.
5)  Not true.  ean13 was released with sarge.

I will upload a new release to correct the 'minor' and 'normal' bugs soon.

Ciao,

Jim Westveer
jwest@debian.org

On Friday 16 September 2005 02:19 am, Marc 'HE' Brockschmidt wrote:
> Package: ean13
> Version: 0.4-8.1
> Severity: serious
>
> Hi,
>
> During the Debian QA meeting hold during Sept. 09th till 11th, we
> decided that looking at packages that haven't been uploaded for a very
> long time could cover up some QA problems.
>
> I've done this now and your package showed up on the list. I propose
> to remove it.
> It has almost no users and the same functionality is provided by GNU
> barcode.
>
> This usually means that your package matched some of the following
> criteria:
>
>  [1] Your packages has not had a maintainer upload for more than
>      three years.
>
>  [2] has one or more RC bugs with no answer from the maintainer (**)
>
>  [3] the state of your packages in general seems to indicate that you
>      might be MIA
>
>  [4] (if we propose a removal) it shows in popcon as having less than
>      100 users with the package installed.
>
>  [5] the package was not released with sarge
>
> and at least ([1] and ( [2] or [3] or [4] or [5] )) was true.
>
> (**) The maintainer not answering to RC bugs refers to bugs filed
> more than one month before the time the check was performed.
>
> After 7 days without answer from you (the maintainer) we will reassign
> this bug to either WNPP (in case we propose to orphan it) or
> ftp.debian.org (in case we propose to remove it).
>
> The package will need an upload or an explanation for this action not to
> proceed.
>
> Please do *not* upload a package just to get off this list - it won't
> help the package at all. Maintainers should be responsive and feel
> responsible for their packages without needing other people to force
> them to do work. Sometimes, finding a new maintainer or even removing
> the package completly from the archive is better for Debian's users.
>
> Thanks!
>
> Marc

-- 

Jim Westveer 
------------------------------------------------------------
Other than telling us how to live, eat, think, marry, pray,
vote, invest, educate, and die, I think the government has 
done a fine job of staying out of our lives.
------------------------------------------------------------
jwest@debian.org                              1-425-591-3002
jwest@linux-cd.com                          pgp-key 36129171
------------------------------------------------------------



Information stored:
Bug#328586; Package ean13. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 328586-quiet@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: Jim Westveer <jwest@debian.org>
Cc: 328586-quiet@bugs.debian.org
Subject: Re: Bug#328586: very old package, should this be removed?
Date: Fri, 16 Sep 2005 17:15:15 +0200
[Message part 1 (text/plain, inline)]
Jim Westveer <jwest@debian.org> writes:
> Thanks for your note.
>
> In response to :

[...]

Please note that the bug submission mail was a template, so the list was
quite general. In all cases, 1 and (2 or 3 or 4 or 5) was true (as
stated below the list)

> 4)  This is the only EAN13 barcode package in debian.

Errr, but other barcode-producing packages (GNU barcode, kbarcode) seem
to be able to produce EAN13 barcodes.

> I will upload a new release to correct the 'minor' and 'normal' bugs soon.

Thanks for this. Please don't forget to update it to comply to the last
policy revision 3.6.2. It would be nice if you could close this bug with
your new upload, it would make tracking a bit easier for the QA team.

Marc
-- 
BOFH #412:
Radial Telemetry Infiltration
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jim Westveer <jwest@netnw.com>:
Bug#328586; Package ean13. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <kink@squirrelmail.org>:
Extra info received and forwarded to list. Copy sent to Jim Westveer <jwest@netnw.com>. Full text and rfc822 format available.

Message #20 received at 328586@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <kink@squirrelmail.org>
To: 328586@bugs.debian.org
Cc: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
Subject: Re: Bug#328586: very old package, should this be removed?
Date: Wed, 19 Oct 2005 13:59:39 +0200
[Message part 1 (text/plain, inline)]
Hello,

> I will upload a new release to correct the 'minor' and 'normal' bugs
> soon.

Since the maintainer indicated he is working on the package and it is
still relevant, is it still necessary to keep this bug release critical
or can the severity be lowered?


Thijs

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jim Westveer <jwest@netnw.com>:
Bug#328586; Package ean13. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Extra info received and forwarded to list. Copy sent to Jim Westveer <jwest@netnw.com>. Full text and rfc822 format available.

Message #25 received at 328586@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: Thijs Kinkhorst <kink@squirrelmail.org>
Cc: 328586@bugs.debian.org, Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
Subject: Re: Bug#328586: very old package, should this be removed?
Date: Wed, 19 Oct 2005 14:42:37 +0200
[Message part 1 (text/plain, inline)]
Thijs Kinkhorst <kink@squirrelmail.org> writes:
>> I will upload a new release to correct the 'minor' and 'normal' bugs
>> soon.
> Since the maintainer indicated he is working on the package and it is
> still relevant, is it still necessary to keep this bug release critical
> or can the severity be lowered?

I think it's useful to track the progress, as long as the update hasn't
happened, the issues I talked about in my bug report still exist.

Marc
-- 
BOFH #83:
Support staff hung over, send aspirin and come back LATER.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jim Westveer <jwest@netnw.com>:
Bug#328586; Package ean13. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Jim Westveer <jwest@netnw.com>. Full text and rfc822 format available.

Message #30 received at 328586@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 328586@bugs.debian.org, 328586-submitter@bugs.debian.org
Subject: Re: Bug#328586: very old package, should this be removed?
Date: Tue, 3 Jan 2006 00:55:31 -0800
[Message part 1 (text/plain, inline)]
On Fri, 16 Sep 2005, Jim Westveer wrote:
> I will upload a new release to correct the 'minor' and 'normal' bugs soon.

What is the current status of this? [This RC bug has been sitting
around for a while with no apparent movement... either an upload or a
clone of this bug with a request for removal in the next month or so
seems reasonable.]


Don Armstrong

-- 
N: Why should I believe that?"
B: Because it's a fact."
N: Fact?"
B: F, A, C, T... fact"
N: So you're saying that I should believe it because it's true. 
   That's your argument?
B: It IS true.
-- "Ploy" http://www.mediacampaign.org/multimedia/Ploy.MPG

http://www.donarmstrong.com              http://rzlab.ucr.edu
[signature.asc (application/pgp-signature, inline)]

Message sent on to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Bug#328586. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jim Westveer <jwest@netnw.com>:
Bug#328586; Package ean13. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Jim Westveer <jwest@netnw.com>. Full text and rfc822 format available.

Message #38 received at 328586@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 328586@bugs.debian.org
Subject: RM ean13 -- last maintainer upload in 2000, NMU in 2003; superceeded by other packages
Date: Sun, 19 Feb 2006 01:37:37 -0800
[Message part 1 (text/plain, inline)]
clone 328586 -1
reassign -1 ftp.debian.org
severity -1 normal
retitle -1 RM ean13 -- last maintainer upload in 2000, NMU in 2003; superceeded by other packages
thanks

As there has been no resolution to the RC bug which has been open
since September, this package has been basically unmaintained for the
past 5 years, and there are other packages in the archive which
provide the functionality of ean13, I'm asking for its removal.


Don Armstrong

-- 
"The trouble with you, Ibid" he said, "is that you think you're the
biggest bloody authority on everything"
 -- Terry Pratchet _Pyramids_ p146

http://www.donarmstrong.com              http://rzlab.ucr.edu
[signature.asc (application/pgp-signature, inline)]

Bug 328586 cloned as bug 353521. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `ean13' to `ftp.debian.org'. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #53 received at 353521-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 353521-close@bugs.debian.org
Cc: ean13@packages.debian.org, ean13@packages.qa.debian.org
Subject: Bug#353521: fixed
Date: Sun, 12 Mar 2006 18:24:24 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     ean13 |    0.4-8.1 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 353521@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 18:28:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:22:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.